﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.UltraChart.Core.Primitives;
using System.Drawing;
using Infragistics.UltraChart.Core.Layers;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.UltraChart1.DataSource = GetData();
        this.UltraChart1.DataBind();
    }

    private DataTable GetData()
    {
        DataTable mydata = new DataTable();
        // Define the columns and their names
        mydata.Columns.Add("Date", typeof(string));
        mydata.Columns.Add("A", typeof(int));
        mydata.Columns.Add("B", typeof(int));
        mydata.Columns.Add("C", typeof(int));
        mydata.Columns.Add("D", typeof(int));


        // Add the rows of data
        mydata.Rows.Add(new Object[] { "A", 1, 32, 46, 4 });
        mydata.Rows.Add(new Object[] { "B", 3, 20, 64, 5 });
        mydata.Rows.Add(new Object[] { "C", 5, 2, 6, 7 });
        mydata.Rows.Add(new Object[] { "D", 7, 81, 7, 35 });


        return mydata;
    }

    private System.Drawing.Color GetCustomColor(int p, int p_2)
    {
        if (p > 1)
        {
            return Color.Blue;

        }
        else
        {

            return Color.Red;
        }
    }

    bool flag = true;
    protected void UltraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
    {
       
       

        Point pointA = new System.Drawing.Point();
        Point pointD = new System.Drawing.Point();
        foreach (Primitive p in e.SceneGraph)
        {
            if (p.Path == "Border.Title.Grid.Chart")
            {
                p.PE.Fill = GetCustomColor(p.Row, p.Column);
                p.PE.FillOpacity = 200;

            }

            
            if (p.Path != null && p.Path.Contains("Border.Title.Grid"))
            {
                if (p.GetType().Name == "Line")
                {
                    if (((Infragistics.UltraChart.Core.Primitives.PrimitiveShape)(p)).lineStyle.DrawStyle.ToString() == Infragistics.UltraChart.Shared.Styles.LineDrawStyle.Solid.ToString())
                    {
                        p.PE.Stroke = Color.Black;
                        p.PE.StrokeWidth = 1;
                        p.PE.StrokeOpacity = 200;

                        pointA = ((Infragistics.UltraChart.Core.Primitives.Line)(p)).p1;
                        pointD = ((Infragistics.UltraChart.Core.Primitives.Line)(p)).p2;
                       
                      


                    }
                }
                else if (p.GetType().Name == "Box")
                {
                    Box box = (Box)p;

                     p.PE.Stroke = Color.White;
                    p.PE.StrokeWidth = 1;
                    p.PE.StrokeOpacity = 200;

                }

            }
           
        }

        Primitive primitive = null;
        for (int i = 0; i <= 2; i++)
        {
            if (i == 0)
            {
                Point point2 = new Point(pointA.X, 12);

                primitive = new Line(pointA, point2);
                primitive.Value = 1;
                e.SceneGraph.Add(primitive);
            
            }
            if (i == 1)
            {
                Point point1 = new Point(pointD.X, 12);
                primitive = new Line(point1, pointD);
                primitive.Value = 1;
                e.SceneGraph.Add(primitive);
            }

            if (i == 2)
            {
            
                Point point1 = new Point(pointA.X, 13);
                Point point2 = new Point(pointD.X, 13);
                primitive = new Line(point2, point1);
                primitive.Value = 1;
                e.SceneGraph.Add(primitive);
            }
        }
    
       

    }
}